﻿@model IEnumerable<eCommerce.Services.Model.ProductSku>
@{
    ViewBag.Title = "Listado de SKU's";
    Layout = "~/Views/Shared/_ListLayout.cshtml";
}

<div class="page-header">
    <h1 class="page-title">Compra Id - @ViewData["puchaseId"] - Listado de SKU's</h1>
    <div class="page-header-actions">
        <div class="btn-group btn-group-sm" id="withBtnGroup" aria-label="Page Header Actions" role="group">
            <button type="button" class="btn btn-outline btn-danger" onclick="window.location.href = '/Purchases'">
                <i class="icon wb-arrow-left" aria-hidden="true"></i>
                <span class="hidden-xs">VOLVER</span>
            </button>
        </div>
        <div class="btn-group btn-group-sm" id="withBtnGroup" aria-label="Page Header Actions" role="group">
            <button type="button" class="btn btn-outline btn-primary" id="btnDelete" onclick="javascript:void(0);">
                <i class="icon fa-refresh" aria-hidden="true"></i>
                <span class="hidden-xs">BORRAR Y REGENERAR</span>
            </button>
            <button type="button" class="btn btn-outline btn-primary" onclick="javascript:window.print();">
                <i class="icon wb-print" aria-hidden="true"></i>
                <span class="hidden-xs">IMPRIMIR</span>
            </button>
            <div class="btn-group btn-group-sm" id="withBtnGroup" aria-label="Page Header Actions" role="group">
                <button type="button" class="btn btn-default btn-success" onclick="">
                    <span class="hidden-xs">@ViewData["ItemsCount"] ELEMENTOS</span>
                </button>
            </div>
        </div>
    </div>
</div>

<div class="page-content">

    <div class="panel">
        <div class="panel-body">
            @Html.Partial("_SkuList", Model)
        </div>
    </div>

</div>

@section Scripts {

    <script type="text/javascript">

        $(document).ready(function () {
            setActionsDialogs();
        })

        function fDelete()
        {
            window.location.href = '/Purchases/RecreatePurchaseSkus/?purchaseId=' + @ViewData["puchaseId"];
        }

        function setActionsDialogs()
        {
            $('#btnDelete').on("click", function ()
            {
                swal({
                    title: "Esta seguro?",
                    text: "Los elementos actuales serán eliminados y se generarán nuevos SKU's para todos los elementos de la compra.",
                    type: "warning",
                    showCancelButton: true,
                    confirmButtonColor: '#F26A54',
                    confirmButtonText: 'Sí, esto seguro!',
                    cancelButtonText: 'Cancelar',
                    closeOnConfirm: false,
                    closeOnCancel: true
                },
                function (isConfirm)
                {
                    if (isConfirm)
                    {
                        fDelete();
                    }
                });
            });
        }

    </script>

}